Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.filters
Class StripLineComments.Comment

    java.lang.Object
      |
      +--org.apache.tools.ant.filters.StripLineComments.Comment

Enclosing class:
  StripLineComments

public static class StripLineComments.Comment
extends java.lang.Object

The class that holds a comment representation.

Constructor Summary
`StripLineComments.Comment()`

Method Summary
`java.lang.String` | `getValue()` Returns the prefix for this type of line comment.
`void` | `setValue(java.lang.String comment)` Sets the prefix for this type of line comment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StripLineComments.Comment

    public StripLineComments.Comment()

Method Detail

### setValue

    public final void setValue(java.lang.String comment)

  Sets the prefix for this type of line comment.

  Parameters:
    `comment` - The prefix for a line comment of this type. Must not be `null`.

### getValue

    public final java.lang.String getValue()

  Returns the prefix for this type of line comment.

  Returns:
    the prefix for this type of line comment.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.